Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2710 - Gnome panel apps stop working after Network Config tool is run
Summary: Gnome panel apps stop working after Network Config tool is run
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: control-panel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-10 17:41 UTC by Jay Turner
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-20 01:36:12 UTC


Attachments (Terms of Use)

Description Jay Turner 1999-05-10 17:41:08 UTC
* run control-panel
* select Network Config Tool
* click <save>, which will close out Control-Panel and
return user to desktop
* no Gnome panel apps will run at this point

Comment 1 Jay Turner 1999-05-10 17:42:59 UTC
Restarting X is the only way to regain control of the panel apps.
NOTE: this situation only happens once.  Upon restarting X, user can
execute the same commands described above and the panel apps will not
freeze!

Comment 2 Michael K. Johnson 1999-09-20 01:36:59 UTC
This isn't all you are doing.  I'll bet that you are configuring and
starting a DHCP-enabled ethernet interface, which is changing the
hostname of the machine.  GNOME requires that the hostname remain
the same because the hostname is used in authentication.  Our
default X security method, xauth, is exactly the same.  There is
no simple way to fix this, and certainly no reasonable way that I
can think of.  It should not normally be an issue, as the ethernet
device will generally have already been set up (from install or
kudzu) and the hostname already set by the time X is running.

If my assumption about what you were doing is wrong, please
re-open with more details.


Note You need to log in before you can comment on or make changes to this bug.